gnutls_heartbeat_allowed(3)

NAME
gnutls_heartbeat_allowed - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_heartbeat_allowed(gnutls_session_t session, unsigned int type);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int type
    one of GNUTLS_HB_LOCAL_ALLOWED_TO_SEND and GNUTLS_HB_PEER_ALLOWED_TO_SEND

DESCRIPTION
This function will check whether heartbeats are allowed to be sent or received in this session.

RETURNS
Non zero if heartbeats are allowed.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/